Permalink
Browse files

fix dependecy

  • Loading branch information...
1 parent 219c045 commit 2145afca69f901e1c525093a524caa333bd2a712 Sergey Pchelincev committed Nov 21, 2011
Showing with 8 additions and 23 deletions.
  1. +4 −3 Gemfile
  2. +4 −19 ekuseru.gemspec
  3. +0 −1 test/test_helper.rb
View
@@ -1,3 +1,4 @@
-source :gemcutter
-gem 'rails', '<3.0'
-gem 'spreadsheet'
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in bootstrap_helpers.gemspec
+gemspec
View
@@ -5,7 +5,7 @@
Gem::Specification.new do |s|
s.name = "ekuseru"
- s.version = "0.3.9"
+ s.version = "0.3.10"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Nugroho Herucahyono", "Jacob Rothstein"]
@@ -36,22 +36,7 @@ Gem::Specification.new do |s|
s.rubygems_version = "1.8.10"
s.summary = "Export excel documents from Rails"
- if s.respond_to? :specification_version then
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<rails>, ["< 3.0"])
- s.add_runtime_dependency(%q<spreadsheet>, [">= 0"])
- s.add_runtime_dependency(%q<spreadsheet>, [">= 0.6"])
- else
- s.add_dependency(%q<rails>, ["< 3.0"])
- s.add_dependency(%q<spreadsheet>, [">= 0"])
- s.add_dependency(%q<spreadsheet>, [">= 0.6"])
- end
- else
- s.add_dependency(%q<rails>, ["< 3.0"])
- s.add_dependency(%q<spreadsheet>, [">= 0"])
- s.add_dependency(%q<spreadsheet>, [">= 0.6"])
- end
+ s.add_dependency('rails', ">= 3.0")
+ s.add_dependency('spreadsheet', ">= 0.6")
+ s.add_development_dependency 'jeweler'
end
-
View
@@ -5,7 +5,6 @@
require 'action_controller'
require 'action_controller/test_case'
-require File.join(File.dirname(__FILE__), '..', 'init.rb')
ActionController::Routing::Routes.draw do |map|
match "/index" => "ekuseru#index"

0 comments on commit 2145afc

Please sign in to comment.